librime: rime::UserDbWrapper< BaseDb > Class Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::UserDbWrapper< BaseDb > Class Template Reference

A template to define a user db class based on an implementation of rime::Db. More...

`#include <user_db.h>`

Inheritance diagram for rime::UserDbWrapper< BaseDb >:
[legend]
Collaboration diagram for rime::UserDbWrapper< BaseDb >:
[legend]

## Public Member Functions
RIME_DLL | UserDbWrapper (const path &file_path, const string &db_name)
virtual bool | CreateMetadata ()
virtual bool | Backup (const path &snapshot_file)
virtual bool | Restore (const path &snapshot_file)
RIME_DLL | UserDbWrapper (const path &file_path, const string &db_name)
RIME_DLL | UserDbWrapper (const path &file_path, const string &db_name)

## Detailed Description

template<class BaseDb>
class rime::UserDbWrapper< BaseDb >

A template to define a user db class based on an implementation of rime::Db.

## Constructor & Destructor Documentation

## ◆ UserDbWrapper() [1/3]

template<class BaseDb>

RIME_DLL rime::UserDbWrapper< BaseDb >::UserDbWrapper | ( | const path & | file_path,
|  | const string & | db_name )

## ◆ UserDbWrapper() [2/3]

RIME_DLL rime::UserDbWrapper< LevelDb >::UserDbWrapper | ( | const path & | file_path,
|  | const string & | db_name )

## ◆ UserDbWrapper() [3/3]

RIME_DLL rime::UserDbWrapper< TextDb >::UserDbWrapper | ( | const path & | file_path,
|  | const string & | db_name )

## Member Function Documentation

## ◆ Backup()

template<class BaseDb>

virtual bool rime::UserDbWrapper< BaseDb >::Backup | ( | const path & | snapshot_file | ) |
| inlinevirtual

## ◆ CreateMetadata()

template<class BaseDb>

virtual bool rime::UserDbWrapper< BaseDb >::CreateMetadata | ( |  | ) |
| inlinevirtual

## ◆ Restore()

template<class BaseDb>

virtual bool rime::UserDbWrapper< BaseDb >::Restore | ( | const path & | snapshot_file | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- user_db.h